//
//  TXCImageSpriteInfo.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/3/16.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TXCImageSpriteInfo : NSObject
/// 缩略图下载 URL 数组，类型为 String 。
@property (nonatomic, copy) NSArray<NSString *> *imageUrls;
/// 缩略图 VTT 文件下载 URL
@property (nonatomic, copy) NSString *webVttUrl;

- (instancetype)initWithResponse:(NSDictionary *)dict;
@end

NS_ASSUME_NONNULL_END
