//
//  TXCSubStreamInfo.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/3/15.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TXCSubStreamInfo : NSObject
/// 子流的类型，目前的取值仅有 video
@property (nonatomic, copy) NSString *type;
/// 子流视频的宽，单位：px
@property (nonatomic, assign) NSUInteger width;
/// 子流视频的高，单位：px
@property (nonatomic, assign) NSUInteger height;
/// 子流视频在播放器中展示的规格名
@property (nonatomic, copy) NSString *resolutionName;

@end

NS_ASSUME_NONNULL_END
