//
//  TXCDataDecryptor.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/9/28.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TXCDataDecryptor : NSObject

/// 通过token解密视频数据
/// @param videoData 视频数据
/// @param token 解密视频数据使用的token(id<ITXCPlayerAssistor>调用函数playToken的返回值)
+ (NSData *)decryptionVideoData:(NSData *)videoData decryptToken:(NSString *)token;

@end

NS_ASSUME_NONNULL_END
