//
//  TXCVideoBasicInfo.h
//  TXCPlayerAdapter
//
//  Created by chavezchen on 2021/3/12.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface TXCVideoBasicInfo : NSObject
/// 视频名称
@property (nonatomic, copy) NSString *name;
/// 视频时长，单位：秒
@property (nonatomic, assign) float duration;
/// 视频描述
@property (nonatomic, copy) NSString *videoDescription;
/// 视频封面
@property (nonatomic, copy) NSString *coverUrl;

- (instancetype)initWithResponse:(NSDictionary *)dict;

@end

NS_ASSUME_NONNULL_END
